CREATE TABLE cst_cost_books_b (
    COST_BOOK_ID             NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    COST_BOOK_CODE           VARCHAR2(120)    NOT NULL,
    PERIODIC_AVERAGE_FLAG    VARCHAR2(4)  ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ATTRIBUTE_CATEGORY       VARCHAR2(120),
    ATTRIBUTE_CHAR1          VARCHAR2(600),
    ATTRIBUTE_CHAR2          VARCHAR2(600),
    ATTRIBUTE_CHAR3          VARCHAR2(600),
    ATTRIBUTE_CHAR4          VARCHAR2(600),
    ATTRIBUTE_CHAR5          VARCHAR2(600),
    ATTRIBUTE_CHAR6          VARCHAR2(600),
    ATTRIBUTE_CHAR7          VARCHAR2(600),
    ATTRIBUTE_CHAR8          VARCHAR2(600),
    ATTRIBUTE_CHAR9          VARCHAR2(600),
    ATTRIBUTE_CHAR10         VARCHAR2(600),
    ATTRIBUTE_CHAR11         VARCHAR2(600),
    ATTRIBUTE_CHAR12         VARCHAR2(600),
    ATTRIBUTE_CHAR13         VARCHAR2(600),
    ATTRIBUTE_CHAR14         VARCHAR2(600),
    ATTRIBUTE_CHAR15         VARCHAR2(600),
    ATTRIBUTE_CHAR16         VARCHAR2(600),
    ATTRIBUTE_CHAR17         VARCHAR2(600),
    ATTRIBUTE_CHAR18         VARCHAR2(600),
    ATTRIBUTE_CHAR19         VARCHAR2(600),
    ATTRIBUTE_CHAR20         VARCHAR2(600),
    ATTRIBUTE_NUMBER1        NUMBER       ,
    ATTRIBUTE_NUMBER2        NUMBER       ,
    ATTRIBUTE_NUMBER3        NUMBER       ,
    ATTRIBUTE_NUMBER4        NUMBER       ,
    ATTRIBUTE_NUMBER5        NUMBER       ,
    ATTRIBUTE_NUMBER6        NUMBER       ,
    ATTRIBUTE_NUMBER7        NUMBER       ,
    ATTRIBUTE_NUMBER8        NUMBER       ,
    ATTRIBUTE_NUMBER9        NUMBER       ,
    ATTRIBUTE_NUMBER10       NUMBER       ,
    ATTRIBUTE_DATE1          DATE         ,
    ATTRIBUTE_DATE2          DATE         ,
    ATTRIBUTE_DATE3          DATE         ,
    ATTRIBUTE_DATE4          DATE         ,
    ATTRIBUTE_DATE5          DATE         ,
    ATTRIBUTE_TIMESTAMP1     TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP2     TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP3     TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP4     TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP5     TIMESTAMP(6) ,
    COST_BOOK_ID             NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    COST_BOOK_CODE           VARCHAR2(120)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ATTRIBUTE_CATEGORY       VARCHAR2(120),
    ATTRIBUTE_CHAR1          VARCHAR2(600),
    ATTRIBUTE_CHAR2          VARCHAR2(600),
    ATTRIBUTE_CHAR3          VARCHAR2(600),
    ATTRIBUTE_CHAR4          VARCHAR2(600),
    ATTRIBUTE_CHAR5          VARCHAR2(600),
    ATTRIBUTE_CHAR6          VARCHAR2(600),
    ATTRIBUTE_CHAR7          VARCHAR2(600),
    ATTRIBUTE_CHAR8          VARCHAR2(600),
    ATTRIBUTE_CHAR9          VARCHAR2(600),
    ATTRIBUTE_CHAR10         VARCHAR2(600),
    ATTRIBUTE_CHAR11         VARCHAR2(600),
    ATTRIBUTE_CHAR12         VARCHAR2(600),
    ATTRIBUTE_CHAR13         VARCHAR2(600),
    ATTRIBUTE_CHAR14         VARCHAR2(600),
    ATTRIBUTE_CHAR15         VARCHAR2(600),
    ATTRIBUTE_CHAR16         VARCHAR2(600),
    ATTRIBUTE_CHAR17         VARCHAR2(600),
    ATTRIBUTE_CHAR18         VARCHAR2(600),
    ATTRIBUTE_CHAR19         VARCHAR2(600),
    ATTRIBUTE_CHAR20         VARCHAR2(600),
    ATTRIBUTE_NUMBER1        NUMBER       ,
    ATTRIBUTE_NUMBER2        NUMBER       ,
    ATTRIBUTE_NUMBER3        NUMBER       ,
    ATTRIBUTE_NUMBER4        NUMBER       ,
    ATTRIBUTE_NUMBER5        NUMBER       ,
    ATTRIBUTE_NUMBER6        NUMBER       ,
    ATTRIBUTE_NUMBER7        NUMBER       ,
    ATTRIBUTE_NUMBER8        NUMBER       ,
    ATTRIBUTE_NUMBER9        NUMBER       ,
    ATTRIBUTE_NUMBER10       NUMBER       ,
    ATTRIBUTE_DATE1          DATE         ,
    ATTRIBUTE_DATE2          DATE         ,
    ATTRIBUTE_DATE3          DATE         ,
    ATTRIBUTE_DATE4          DATE         ,
    ATTRIBUTE_DATE5          DATE         ,
    ATTRIBUTE_TIMESTAMP1     TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP2     TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP3     TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP4     TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP5     TIMESTAMP(6) ,
    PERIODIC_AVERAGE_FLAG    VARCHAR2(4)  ,
    CONSTRAINT pk_cst_cost_books_b PRIMARY KEY (COST_BOOK_ID, COST_BOOK_ID)
);
